<div class="container-fluid p-0">
  <!-- PRACTITIONER HEADER -->
  <div class="practitioner-pane-header d-flex align-items-center justify-content-center"
    [ngClass]="{'bg-white': !isExpanded}">
    <h3 class="title flex-fill m-0" id="heading" *ngIf="isExpanded">Room List</h3>
    <button class="expande-collapse-pane-btn rounded-circle" (click)="togglePractitionerPanel()">
      <i class="fa fa-angle-double-right" aria-hidden="true" *ngIf="!isExpanded"></i>
      <i class="fa fa-angle-double-left" aria-hidden="true" *ngIf="isExpanded"></i>
    </button>
  </div>

  <div *ngIf="isDiplayPanelUI">
    <!-- PRACTITIONER LIST FILTER -->
    <div class="practitioner-list-filter-wrapper d-flex align-items-center justify-content-center">
      <input type="text" class="flex-fill rounded" placeholder="Search Rooms"
        [formControl]="practionerSearchFormCtrl" />
      <button id="targetElement" class="practitioner-list-filter-btn"
              [class.disabled]="roomsList.length == 0" (click)="toggleFilter()">
        <i class="fa fa-filter" aria-hidden="true"></i>
      </button>

      <dx-popover class="sdlr_popup" target="#targetElement" position="top" [width]="176" [height]="114"
        [shading]="false" [position]="{my: 'right top', at: 'right bottom'}" [(visible)]="opened">
        <div class="eo-content-wrapper" *dxTemplate="let data of 'content'">
          <button class="prctioner-filter-button text-left"
            [ngClass]="{'selected': list.value == selectedRoomsFilter}"
            (click)="practitionerFilterChanged(list.value)" *ngFor="let list of practitionerFilterList">
            {{list.text}}
          </button>
        </div>
      </dx-popover>
    </div>

    <div class="practitioner-list-wrapper">
      <div class="practitioner-list-item d-flex align-items-center"
           [ngClass]="{'selected': value.selected}" *ngFor="let value of filteredRoomsListDisplay">
        <div class="left-side-indicator"></div>
        <div class="practitioner-details flex-fill d-flex flex-column align-items-center" style="margin-left: 20px;">
          <div class="practitioner-name-action-wrapper d-flex align-items-center w-100">
            <div class="flex-fill pttr-name helvetica-neue-medium">
              {{value.displayName}}
            </div>
            <button class="border-0 bg-transparent" (click)="addRemoveRoom(value)">
              <mat-icon class="practitioner-action-button m-0" *ngIf="!value.selected">add</mat-icon>
              <mat-icon class="practitioner-action-button m-0" *ngIf="value.selected">remove</mat-icon>
            </button>
          </div>
          <div class="w-100 text-danger" *ngIf="!value.isStatus">
            <span>Inactive</span>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
